// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: MovementAggregating.proto

package ru.omnicomm.pegasus.messaging.settings.movement;

public final class MovementAggregatingSettingsParser {
  private MovementAggregatingSettingsParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class MovementAggregatingSettings extends
      com.google.protobuf.GeneratedMessage {
    // Use MovementAggregatingSettings.newBuilder() to construct.
    private MovementAggregatingSettings() {
      initFields();
    }
    private MovementAggregatingSettings(boolean noInit) {}
    
    private static final MovementAggregatingSettings defaultInstance;
    public static MovementAggregatingSettings getDefaultInstance() {
      return defaultInstance;
    }
    
    public MovementAggregatingSettings getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_fieldAccessorTable;
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 516];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 516;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 idleMax = 101 [default = 480];
    public static final int IDLEMAX_FIELD_NUMBER = 101;
    private boolean hasIdleMax;
    private int idleMax_ = 480;
    public boolean hasIdleMax() { return hasIdleMax; }
    public int getIdleMax() { return idleMax_; }
    
    // optional int32 aggrInterval = 102 [default = 600];
    public static final int AGGRINTERVAL_FIELD_NUMBER = 102;
    private boolean hasAggrInterval;
    private int aggrInterval_ = 600;
    public boolean hasAggrInterval() { return hasAggrInterval; }
    public int getAggrInterval() { return aggrInterval_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasIdleMax()) {
        output.writeInt32(101, getIdleMax());
      }
      if (hasAggrInterval()) {
        output.writeInt32(102, getAggrInterval());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasIdleMax()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, getIdleMax());
      }
      if (hasAggrInterval()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(102, getAggrInterval());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasIdleMax()) {
          setIdleMax(other.getIdleMax());
        }
        if (other.hasAggrInterval()) {
          setAggrInterval(other.getAggrInterval());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 808: {
              setIdleMax(input.readInt32());
              break;
            }
            case 816: {
              setAggrInterval(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 516];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 516;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 idleMax = 101 [default = 480];
      public boolean hasIdleMax() {
        return result.hasIdleMax();
      }
      public int getIdleMax() {
        return result.getIdleMax();
      }
      public Builder setIdleMax(int value) {
        result.hasIdleMax = true;
        result.idleMax_ = value;
        return this;
      }
      public Builder clearIdleMax() {
        result.hasIdleMax = false;
        result.idleMax_ = 480;
        return this;
      }
      
      // optional int32 aggrInterval = 102 [default = 600];
      public boolean hasAggrInterval() {
        return result.hasAggrInterval();
      }
      public int getAggrInterval() {
        return result.getAggrInterval();
      }
      public Builder setAggrInterval(int value) {
        result.hasAggrInterval = true;
        result.aggrInterval_ = value;
        return this;
      }
      public Builder clearAggrInterval() {
        result.hasAggrInterval = false;
        result.aggrInterval_ = 600;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettings)
    }
    
    static {
      defaultInstance = new MovementAggregatingSettings(true);
      ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettings)
  }
  
  public static final class MovementAggregatingBuffer extends
      com.google.protobuf.GeneratedMessage {
    // Use MovementAggregatingBuffer.newBuilder() to construct.
    private MovementAggregatingBuffer() {
      initFields();
    }
    private MovementAggregatingBuffer(boolean noInit) {}
    
    private static final MovementAggregatingBuffer defaultInstance;
    public static MovementAggregatingBuffer getDefaultInstance() {
      return defaultInstance;
    }
    
    public MovementAggregatingBuffer getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_fieldAccessorTable;
    }
    
    public static final class BasicData extends
        com.google.protobuf.GeneratedMessage {
      // Use BasicData.newBuilder() to construct.
      private BasicData() {
        initFields();
      }
      private BasicData(boolean noInit) {}
      
      private static final BasicData defaultInstance;
      public static BasicData getDefaultInstance() {
        return defaultInstance;
      }
      
      public BasicData getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_fieldAccessorTable;
      }
      
      // optional int32 dataId = 1;
      public static final int DATAID_FIELD_NUMBER = 1;
      private boolean hasDataId;
      private int dataId_ = 0;
      public boolean hasDataId() { return hasDataId; }
      public int getDataId() { return dataId_; }
      
      // optional int32 value = 2;
      public static final int VALUE_FIELD_NUMBER = 2;
      private boolean hasValue;
      private int value_ = 0;
      public boolean hasValue() { return hasValue; }
      public int getValue() { return value_; }
      
      private void initFields() {
      }
      public final boolean isInitialized() {
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (hasDataId()) {
          output.writeInt32(1, getDataId());
        }
        if (hasValue()) {
          output.writeInt32(2, getValue());
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (hasDataId()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(1, getDataId());
        }
        if (hasValue()) {
          size += com.google.protobuf.CodedOutputStream
            .computeInt32Size(2, getValue());
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder> {
        private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData result;
        
        // Construct using ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.newBuilder()
        private Builder() {}
        
        private static Builder create() {
          Builder builder = new Builder();
          builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData();
          return builder;
        }
        
        protected ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData internalGetResult() {
          return result;
        }
        
        public Builder clear() {
          if (result == null) {
            throw new IllegalStateException(
              "Cannot call clear() after build().");
          }
          result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData();
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(result);
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.getDefaultInstance();
        }
        
        public boolean isInitialized() {
          return result.isInitialized();
        }
        public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData build() {
          if (result != null && !isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return buildPartial();
        }
        
        private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          if (!isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return buildPartial();
        }
        
        public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData buildPartial() {
          if (result == null) {
            throw new IllegalStateException(
              "build() has already been called on this Builder.");
          }
          ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData returnMe = result;
          result = null;
          return returnMe;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData other) {
          if (other == ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.getDefaultInstance()) return this;
          if (other.hasDataId()) {
            setDataId(other.getDataId());
          }
          if (other.hasValue()) {
            setValue(other.getValue());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  return this;
                }
                break;
              }
              case 8: {
                setDataId(input.readInt32());
                break;
              }
              case 16: {
                setValue(input.readInt32());
                break;
              }
            }
          }
        }
        
        
        // optional int32 dataId = 1;
        public boolean hasDataId() {
          return result.hasDataId();
        }
        public int getDataId() {
          return result.getDataId();
        }
        public Builder setDataId(int value) {
          result.hasDataId = true;
          result.dataId_ = value;
          return this;
        }
        public Builder clearDataId() {
          result.hasDataId = false;
          result.dataId_ = 0;
          return this;
        }
        
        // optional int32 value = 2;
        public boolean hasValue() {
          return result.hasValue();
        }
        public int getValue() {
          return result.getValue();
        }
        public Builder setValue(int value) {
          result.hasValue = true;
          result.value_ = value;
          return this;
        }
        public Builder clearValue() {
          result.hasValue = false;
          result.value_ = 0;
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer.BasicData)
      }
      
      static {
        defaultInstance = new BasicData(true);
        ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internalForceInit();
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer.BasicData)
    }
    
    // required int32 sourceId = 1;
    public static final int SOURCEID_FIELD_NUMBER = 1;
    private boolean hasSourceId;
    private int sourceId_ = 0;
    public boolean hasSourceId() { return hasSourceId; }
    public int getSourceId() { return sourceId_; }
    
    // optional int32 messageType = 2 [default = 517];
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 517;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // required int32 messageTime = 3;
    public static final int MESSAGETIME_FIELD_NUMBER = 3;
    private boolean hasMessageTime;
    private int messageTime_ = 0;
    public boolean hasMessageTime() { return hasMessageTime; }
    public int getMessageTime() { return messageTime_; }
    
    // optional int32 idleMax = 101;
    public static final int IDLEMAX_FIELD_NUMBER = 101;
    private boolean hasIdleMax;
    private int idleMax_ = 0;
    public boolean hasIdleMax() { return hasIdleMax; }
    public int getIdleMax() { return idleMax_; }
    
    // optional int32 aggrInterval = 102;
    public static final int AGGRINTERVAL_FIELD_NUMBER = 102;
    private boolean hasAggrInterval;
    private int aggrInterval_ = 0;
    public boolean hasAggrInterval() { return hasAggrInterval; }
    public int getAggrInterval() { return aggrInterval_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer.BasicData buffer = 103;
    public static final int BUFFER_FIELD_NUMBER = 103;
    private java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData> buffer_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData> getBufferList() {
      return buffer_;
    }
    public int getBufferCount() { return buffer_.size(); }
    public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData getBuffer(int index) {
      return buffer_.get(index);
    }
    
    // optional int32 t_0 = 104;
    public static final int T_0_FIELD_NUMBER = 104;
    private boolean hasT0;
    private int t0_ = 0;
    public boolean hasT0() { return hasT0; }
    public int getT0() { return t0_; }
    
    private void initFields() {
    }
    public final boolean isInitialized() {
      if (!hasSourceId) return false;
      if (!hasMessageTime) return false;
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasSourceId()) {
        output.writeInt32(1, getSourceId());
      }
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasMessageTime()) {
        output.writeInt32(3, getMessageTime());
      }
      if (hasIdleMax()) {
        output.writeInt32(101, getIdleMax());
      }
      if (hasAggrInterval()) {
        output.writeInt32(102, getAggrInterval());
      }
      for (ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData element : getBufferList()) {
        output.writeMessage(103, element);
      }
      if (hasT0()) {
        output.writeInt32(104, getT0());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasSourceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(1, getSourceId());
      }
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasMessageTime()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(3, getMessageTime());
      }
      if (hasIdleMax()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(101, getIdleMax());
      }
      if (hasAggrInterval()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(102, getAggrInterval());
      }
      for (ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData element : getBufferList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(103, element);
      }
      if (hasT0()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(104, getT0());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer result;
      
      // Construct using ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.buffer_ != java.util.Collections.EMPTY_LIST) {
          result.buffer_ =
            java.util.Collections.unmodifiableList(result.buffer_);
        }
        ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer other) {
        if (other == ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.getDefaultInstance()) return this;
        if (other.hasSourceId()) {
          setSourceId(other.getSourceId());
        }
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasMessageTime()) {
          setMessageTime(other.getMessageTime());
        }
        if (other.hasIdleMax()) {
          setIdleMax(other.getIdleMax());
        }
        if (other.hasAggrInterval()) {
          setAggrInterval(other.getAggrInterval());
        }
        if (!other.buffer_.isEmpty()) {
          if (result.buffer_.isEmpty()) {
            result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData>();
          }
          result.buffer_.addAll(other.buffer_);
        }
        if (other.hasT0()) {
          setT0(other.getT0());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 8: {
              setSourceId(input.readInt32());
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 24: {
              setMessageTime(input.readInt32());
              break;
            }
            case 808: {
              setIdleMax(input.readInt32());
              break;
            }
            case 816: {
              setAggrInterval(input.readInt32());
              break;
            }
            case 826: {
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.Builder subBuilder = ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addBuffer(subBuilder.buildPartial());
              break;
            }
            case 832: {
              setT0(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 sourceId = 1;
      public boolean hasSourceId() {
        return result.hasSourceId();
      }
      public int getSourceId() {
        return result.getSourceId();
      }
      public Builder setSourceId(int value) {
        result.hasSourceId = true;
        result.sourceId_ = value;
        return this;
      }
      public Builder clearSourceId() {
        result.hasSourceId = false;
        result.sourceId_ = 0;
        return this;
      }
      
      // optional int32 messageType = 2 [default = 517];
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 517;
        return this;
      }
      
      // required int32 messageTime = 3;
      public boolean hasMessageTime() {
        return result.hasMessageTime();
      }
      public int getMessageTime() {
        return result.getMessageTime();
      }
      public Builder setMessageTime(int value) {
        result.hasMessageTime = true;
        result.messageTime_ = value;
        return this;
      }
      public Builder clearMessageTime() {
        result.hasMessageTime = false;
        result.messageTime_ = 0;
        return this;
      }
      
      // optional int32 idleMax = 101;
      public boolean hasIdleMax() {
        return result.hasIdleMax();
      }
      public int getIdleMax() {
        return result.getIdleMax();
      }
      public Builder setIdleMax(int value) {
        result.hasIdleMax = true;
        result.idleMax_ = value;
        return this;
      }
      public Builder clearIdleMax() {
        result.hasIdleMax = false;
        result.idleMax_ = 0;
        return this;
      }
      
      // optional int32 aggrInterval = 102;
      public boolean hasAggrInterval() {
        return result.hasAggrInterval();
      }
      public int getAggrInterval() {
        return result.getAggrInterval();
      }
      public Builder setAggrInterval(int value) {
        result.hasAggrInterval = true;
        result.aggrInterval_ = value;
        return this;
      }
      public Builder clearAggrInterval() {
        result.hasAggrInterval = false;
        result.aggrInterval_ = 0;
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer.BasicData buffer = 103;
      public java.util.List<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData> getBufferList() {
        return java.util.Collections.unmodifiableList(result.buffer_);
      }
      public int getBufferCount() {
        return result.getBufferCount();
      }
      public ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData getBuffer(int index) {
        return result.getBuffer(index);
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.buffer_.set(index, value);
        return this;
      }
      public Builder setBuffer(int index, ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.Builder builderForValue) {
        result.buffer_.set(index, builderForValue.build());
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData>();
        }
        result.buffer_.add(value);
        return this;
      }
      public Builder addBuffer(ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.Builder builderForValue) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData>();
        }
        result.buffer_.add(builderForValue.build());
        return this;
      }
      public Builder addAllBuffer(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData> values) {
        if (result.buffer_.isEmpty()) {
          result.buffer_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData>();
        }
        super.addAll(values, result.buffer_);
        return this;
      }
      public Builder clearBuffer() {
        result.buffer_ = java.util.Collections.emptyList();
        return this;
      }
      
      // optional int32 t_0 = 104;
      public boolean hasT0() {
        return result.hasT0();
      }
      public int getT0() {
        return result.getT0();
      }
      public Builder setT0(int value) {
        result.hasT0 = true;
        result.t0_ = value;
        return this;
      }
      public Builder clearT0() {
        result.hasT0 = false;
        result.t0_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer)
    }
    
    static {
      defaultInstance = new MovementAggregatingBuffer(true);
      ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingBuffer)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\031MovementAggregating.proto\022/ru.omnicomm" +
      ".pegasus.messaging.settings.movement\"\217\001\n" +
      "\033MovementAggregatingSettings\022\020\n\010sourceId" +
      "\030\001 \002(\005\022\030\n\013messageType\030\002 \001(\005:\003516\022\023\n\013mess" +
      "ageTime\030\003 \002(\005\022\024\n\007idleMax\030e \001(\005:\003480\022\031\n\014a" +
      "ggrInterval\030f \001(\005:\003600\"\242\002\n\031MovementAggre" +
      "gatingBuffer\022\020\n\010sourceId\030\001 \002(\005\022\030\n\013messag" +
      "eType\030\002 \001(\005:\003517\022\023\n\013messageTime\030\003 \002(\005\022\017\n" +
      "\007idleMax\030e \001(\005\022\024\n\014aggrInterval\030f \001(\005\022d\n\006" +
      "buffer\030g \003(\0132T.ru.omnicomm.pegasus.messa",
      "ging.settings.movement.MovementAggregati" +
      "ngBuffer.BasicData\022\013\n\003t_0\030h \001(\005\032*\n\tBasic" +
      "Data\022\016\n\006dataId\030\001 \001(\005\022\r\n\005value\030\002 \001(\005BT\n/r" +
      "u.omnicomm.pegasus.messaging.settings.mo" +
      "vementB!MovementAggregatingSettingsParse" +
      "r"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingSettings_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "IdleMax", "AggrInterval", },
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.class,
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingSettings.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_descriptor =
            getDescriptor().getMessageTypes().get(1);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_descriptor,
              new java.lang.String[] { "SourceId", "MessageType", "MessageTime", "IdleMax", "AggrInterval", "Buffer", "T0", },
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.class,
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_settings_movement_MovementAggregatingBuffer_BasicData_descriptor,
              new java.lang.String[] { "DataId", "Value", },
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.class,
              ru.omnicomm.pegasus.messaging.settings.movement.MovementAggregatingSettingsParser.MovementAggregatingBuffer.BasicData.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
